Bug 389036 - After installing a Flatpak version of an app, trying to launch the PackageKit version from Discover opens the Flatpak one instead
Summary: After installing a Flatpak version of an app, trying to launch the PackageKit...
Status: VERIFIED FIXED
Alias: None
Product: Discover
Classification: Unclassified
Component: discover (show other bugs)
Version: unspecified
Platform: Neon Packages Linux
: NOR normal
Target Milestone: ---
Assignee: Aleix Pol
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-16 05:05 UTC by Nate Graham
Modified: 2018-01-25 14:03 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nate Graham 2018-01-16 05:05:45 UTC
[Discover with the PackageKit, Snap, and Flatpak backends built from source in KDE Neon]

1. Add Flathub as a Flatpak source
2. Install the Flathub version of Kdenlive
3. Switch sources and install the PackageKit version of Kdenlive
4. Click the Launch button to launch the PackageKit version of Kdenlive

Expected results:
- The PackageKit version opens

Actual results:
- The Flatpak version opens

Reproducibility:
Happens with other apps (also tried gedit), and with other Flatpak sources (e.g. kdeapps). If a Flatpak version of a de-duplicated app is installed, attempting to launch PackageKit version from Discover instead launches the Flatpak version.

I can still launch the PackageKit version using Kicker/Kickoff, so it's not a total disaster, but still, not a great thing considering that people will probably launch apps from Discover fairly frequently after switching or installing new versions.
Comment 1 Aleix Pol 2018-01-25 13:10:15 UTC
Git commit 59a93daa2fbe7099788729a02c6ea44669e4844d by Aleix Pol.
Committed on 25/01/2018 at 13:05.
Pushed by apol into branch 'Plasma/5.12'.

Have PackageKit only execute files installed by the package

M  +18   -7    libdiscover/backends/PackageKitBackend/AppPackageKitResource.cpp

https://commits.kde.org/discover/59a93daa2fbe7099788729a02c6ea44669e4844d
Comment 2 Nate Graham 2018-01-25 14:03:44 UTC
Confirming the fix, thanks!